package com.motern.myapplication;

import androidx.appcompat.app.AppCompatActivity;

import android.os.Bundle;
import android.util.Log;
import android.view.KeyEvent;

import com.cherry.sdk.controller.InitDevice;
import com.cherry.sdk.controller.MoternDeviceController;
import com.cherry.sdk.controller.callback.CmdCallback;

public class MainActivity extends AppCompatActivity {
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        // 1. init sdk and device;
        MoternDeviceController.getInstance().init(new InitDevice(1));

        // 2. device control
        // example: unlock locker as section 1 and port 1;
        MoternDeviceController.getInstance().unlockLocker(1, 1, new CmdCallback() {
            @Override
            public void onMessage(int i, String... strings) {
                Log.d("TAG", "onMessage: " + i);
            }
        });
    }

    @Override
    public boolean dispatchKeyEvent(KeyEvent event) {
        return true;
    }

}